ur_rna.RNAstructure.backend

## Class PartialProgress

- java.lang.Object
- - ur_rna.RNAstructure.backend.ProgressHandler
  - - ur_rna.RNAstructure.backend.PartialProgress

-     public class PartialProgress
      extends ProgressHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `swigCPtr`

    - ### Fields inherited from class ur_rna.RNAstructure.backend.ProgressHandler

      `swigCMemOwn`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PartialProgress(long cPtr, boolean cMemoryOwn)`
    `` | `PartialProgress(ProgressHandler clientProgress)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `advanceToNextStep(int percentWorkInNextStep)`
    `void` | `cancel()`
    `boolean` | `canceled()`
    `void` | `delete()`
    `protected void` | `finalize()`
    `protected static long` | `getCPtr(PartialProgress obj)`
    `int` | `getWorkInNextStep()`
    `void` | `setClient(ProgressHandler client)`
    `void` | `setNextStep(int percentWorkInNextStep)`
    `void` | `setWorkComplete(int percentWorkCompleted)`
    `void` | `setWorkInNextStep(int value)`
    `void` | `stepComplete()`
    `void` | `update(int percent)`

    - ### Methods inherited from class ur_rna.RNAstructure.backend.ProgressHandler

      `getCPtr, progress, reset, update, updateFraction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### PartialProgress

          protected PartialProgress(long cPtr,
                                    boolean cMemoryOwn)

    - #### PartialProgress

          public PartialProgress(ProgressHandler clientProgress)

  - ### Method Detail

    - #### advanceToNextStep

          public void advanceToNextStep(int percentWorkInNextStep)

    - #### cancel

          public void cancel()

      Overrides:
        `cancel` in class `ProgressHandler`

    - #### canceled

          public boolean canceled()

      Overrides:
        `canceled` in class `ProgressHandler`

    - #### delete

          public void delete()

      Overrides:
        `delete` in class `ProgressHandler`

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `ProgressHandler`

    - #### getCPtr

          protected static long getCPtr(PartialProgress obj)

    - #### getWorkInNextStep

          public int getWorkInNextStep()

    - #### setClient

          public void setClient(ProgressHandler client)

    - #### setNextStep

          public void setNextStep(int percentWorkInNextStep)

    - #### setWorkComplete

          public void setWorkComplete(int percentWorkCompleted)

    - #### setWorkInNextStep

          public void setWorkInNextStep(int value)

    - #### stepComplete

          public void stepComplete()

    - #### update

          public void update(int percent)

      Overrides:
        `update` in class `ProgressHandler`